# Search emojis by partial shortcode or category

Searches for emojis whose shortcodes or categories contain provided substrings. Useful for autocomplete functionality. Multiple searches can be performed in one request by passing comma-separated values. If no parameters provided, returns all emojis from cache. Returns paginated response with items (current page results), total (count matching filter), and totalItems (total emojis in system).

Endpoint: GET /api/v1/custom_emojis/search
Version: 1.0
Security: 

## Query parameters:

  - `category` (array,null)
    Category substring(s) to search. Comma-separated
    Example: "Cat,Blob"

  - `lastId` (string,null)
    Get older records (records with IDs less than this value) Alias maxId/max_id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `limit` (integer,null)

  - `offset` (integer,null)

  - `shortcode` (array,null)
    Shortcode substring(s) to search. Comma-separated
    Example: "aaa,AAA"

  - `sortBy` (string,null)

  - `sortOrder` (string,null)
    Sort order. Supported values: ASC or DESC

  - `untilId` (string,null)
    Get newer records (records with IDs greater than this value) Alias minId/min_id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Response 200 fields (application/json):

  - `items` (array, required)
    Paginated list of emojis for the current page

  - `items.shortcode` (string, required)

  - `items.category` (string,null, required)

  - `items.url` (string, required)

  - `items.staticUrl` (string, required)

  - `items.visibleInPicker` (boolean, required)

  - `total` (integer, required)
    Total number of emojis that satisfy the filter

  - `totalItems` (integer, required)
    Total number of all emojis in the system


